#%define python_sitelib /usr/lib/python2.4/site-packages/

Summary: VMPinfo SOSReport plugins
Name: vmpinfo3-sosreport
Version: 1.0.0
Release: 4%{?dist}
License: GPL
Group: System Environment/Base
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: dummy.patch
# End Oracle Patches

%description
This package contains VMPinfo3 sosreport plugins.

%prep
%setup -q
%patch1 -p0

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/sos/plugins
install -m 0755 ocfs2.py %{buildroot}%{python_sitelib}sos/plugins
install -m 0755 ovm3.py %{buildroot}%{python_sitelib}sos/plugins

%clean
rm -rf %{buildroot}/%{python_sitelib}sos/plugins/ocfs2.py*
rm -rf %{buildroot}/%{python_sitelib}sos/plugins/ovm3.py*

%files
%defattr(-, root, root, 0755)
#%{python_sitelib}/sos/plugins/*
%{python_sitelib}/sos/plugins/ocfs2.py*
%{python_sitelib}/sos/plugins/ovm3.py*
%doc LICENSE

%changelog
* Wed Apr 4 2012 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-4
- Added the following
- ovs-agent-db dump_db server
- ovs-agent-db dump_db aproc
- ovs-agent-db dump_db repository
- ovs-agent-db -c dump_db server_pool
- ovs-agent-db -c dump_db server_pool_servers
- ovs-agent-db -c dump_db monitored_vms
- ntpq -pn
- pgrep ntpd
- netstat -tulpn | grep 123
- /etc/ntp.conf
- Add LICENSE

* Thu Dec 29 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-3
- Added more collections for vdisks and xm.cfg

* Wed Oct 5 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-2
- First release

* Mon Jan 9 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-1
- Added the following:
- /usr/sbin/ovs-agent-db dump_db server
- /usr/sbin/ovs-agent-db dump_db repository
- /usr/sbin/ovs-agent-db dump_db aproc
- /usr/sbin/ovs-agent-db -c dump_db server_pool
- /usr/sbin/ovs-agent-db -c dump_db server_pool_servers
- /usr/sbin/ovs-agent-db -c dump_db monitored_vms
- /etc/ovs-agent
- /etc/ovs-config
- /etc/ovs-info
- /etc/ovs-release
- ls -l -R /dlm
